Skip to main content
GET
/
api
/
logs
/
sessions
/
{session_id}
/
summary
Error
A valid request URL is required to generate request examples
{
  "session_id": "<string>",
  "count": 123,
  "total_cost": 123,
  "total_tokens": 123,
  "started_at": "<string>",
  "latest_at": "<string>",
  "duration_ms": 123
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Path Parameters

session_id
string
required

Parent request ID identifying the session

Response

Session summary retrieved successfully

Aggregate totals for a single parent-request session

session_id
string
count
integer<int64>
total_cost
number
total_tokens
integer<int64>
started_at
string

Timestamp of the first log in the session (RFC3339 nanos)

latest_at
string

Timestamp of the most recent log in the session (RFC3339 nanos)

duration_ms
integer<int64>